<script>
	import SVG from "@/components/svg.svelte"

	import { isLight } from "@/stores/static"

	export let value = false
	export let style = "dark"

	$: icon = !value ? "checkbox" : "checkbox-checked"
</script>

<!-- svelte-ignore a11y-click-events-have-key-events -->
<div class="checkbox is-flex is-align-items-flex-start is-justify-content-flex-start {style || ""}" class:checked={value} on:click={() => value = !value}>
	<span class="icon is-flex is-aling-items-center is-justify-content-center">
		{#if value}
			<SVG folder="icons" name="checkbox-checked"/>
		{:else}
			<SVG folder="icons" name="checkbox"/>
		{/if}
	</span>
	<span class="text"><slot /></span>
</div>

<style lang="scss">
	.checkbox {
		cursor: pointer;

		&.dark {
			.icon {
				:global(svg path) {
					fill: $gray-text;
				}
			}
			.text {
				color: $black;
			}
		}
	}

	.icon {
		width: 1rem;
		height: 1rem;
		margin-top: .25rem;
		:global(svg) {
			height: 1rem;
			width: 1rem;
		}
		:global(svg path) {
			fill: $white;
		}
	}

	.checked .icon {
		:global(svg path) {
			fill: $primary!important;
		}
	}

	.text {
		font-size: .875rem;
		font-weight: 300;
		color: $white;
		margin-left: .5rem;
		user-select: none;
	}
</style>